Download it now!
Bug 134574 - Impress template thumbnails change color when Skia is enabled
Summary: Impress template thumbnails change color when Skia is enabled
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.0.0.beta1+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.0.2
Keywords:
Depends on:
Blocks: Skia
  Show dependency treegraph
 
Reported: 2020-07-06 16:06 UTC by nogajun
Modified: 2020-07-22 21:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Thumbnail color is changed. (Skia emabled) (130.43 KB, image/png)
2020-07-06 16:07 UTC, nogajun
Details
Thumbnail color is normal (Skia disabled) (143.05 KB, image/png)
2020-07-06 16:08 UTC, nogajun
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nogajun 2020-07-06 16:06:00 UTC
Description:
When Skia is enabled on Windows on VirtualBox, the Impress template thumbnail color changes.

Steps to Reproduce:
1. Installing LibreOffice 7.0RC1 on Windows.
2. Launch LibreOffice Impress.
3. Check the Impress Template thumbnail. (The Color has changed)

4. Close Template dialog.
5. Open [Tool] > [Options] and Go to LibreOffice > View
6. Uncheck "Use Skia for all rendering" option
7. Select "Restart Now"

8. Check the Impress Template thumbnail. (The Color is normal)


Actual Results:
Impress template thumbnail color changes.

Expected Results:
Impress template thumbnail color does not change.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
* LibreOffice
Version: 7.0.0.1 (x86)
Build ID: 04ba7e3f1e51af6c5d653e543a620e36719083fd
CPU threads: 2; OS:Windows 10.0 Build 19041; UI render: default; VCL: win
Locale: ja-JP (ja_JP); UI: ja-JP
Calc: threaded

* VirtualBox
VirtualBox グラフィカルユーザーインターフェース
バージョン 6.1.10 r138449 (Qt5.14.2)
Copyright © 2020 Oracle Corporation and/or its affiliates. All rights reserved.
Comment 1 nogajun 2020-07-06 16:07:36 UTC
Created attachment 162723 [details]
Thumbnail color is changed. (Skia emabled)
Comment 2 nogajun 2020-07-06 16:08:40 UTC
Created attachment 162724 [details]
Thumbnail color is normal (Skia disabled)
Comment 3 Telesto 2020-07-06 16:21:01 UTC
Repro
Version: 7.1.0.0.alpha0+ (x86)
Build ID: 9af38b4504ccda57a0c32eb8bdd03e5a8ca29ddc
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 4 Commit Notification 2020-07-08 07:31:37 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3769d01791e54be0fbfc6d706596283213700ad0

prevent SkiaSalBitmap::Scale() from breaking indexed bitmaps (tdf#134574)

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-07-08 20:17:50 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/eb85e5bd28b9101c7c475c8e7a86ea61af85806f

prevent SkiaSalBitmap::Scale() from breaking indexed bitmaps (tdf#134574)

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.